Name: ist-diagnose
Version: %{op5version}
Release: %{op5release}%{?dist}
License: ISC
Vendor: ITRS Group
Url: https://www.itrsgroup.com
BuildRoot: %{_tmppath}/%{name}-%{version}
ExclusiveArch: x86_64
Summary: ITRS Support Tool - Diagnose
Prefix: %{_sbindir}
Source: %name-%version.tar.gz
BuildRequires: zlib-devel
Requires: ist
Requires: bash
Requires: coreutils
Requires: iputils
Requires: gawk
Requires: procps-ng
Requires: php-cli
Requires: libselinux-utils
Requires: op5-naemon
Requires: merlin-apps

%description
A system diagnostic tool to help troubleshooting.

%global debug_package %{nil}

%prep
%setup -q

%build

%install
mkdir --parents --mode 755 %{buildroot}%{prefix}
cp target/%name %buildroot%{prefix}/%name

%files
%defattr(755,root,root)
%{prefix}/%name

%clean
rm -rf %{buildroot}

%changelog
* Fri Aug 19 2022 Johan Thorén <jthoren@itrsgroup.com>
- 1.5.6 Some code cleanup. No new features.
* Thu Jun 09 2022 Johan Thorén <jthoren@itrsgroup.com>
- 1.5.5 Fix issue with not being able to read el version on CentOS Stream.
* Mon May 23 2022 Johan Thorén <jthoren@itrsgroup.com>
- 1.5.4 Fix issue with rolling release.
* Thu May 19 2022 Johan Thorén <jthoren@itrsgroup.com>
- 1.5.3 Tested with Monitor 9.
* Mon Jan 03 2022 Johan Thorén <jthoren@itrsgroup.com>
- 1.5.2 Add list of top offenders of mon check latency/exectime.
* Wed Dec 15 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.5.1 Fix error with OK checks not printed with option -v.
* Mon Dec 13 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.5.0 Remove Log4J and implement simpler internal solution.
* Mon Nov 29 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.4.0 Fix compatibility issues with Monitor 9 Beta.
* Thu Sep 23 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.3.1 Remove reference to non-existing output.
* Thu Sep 23 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.3.0 Add check to connect through SSH to all nodes.
* Thu Sep 23 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.2.1 Major refactoring of the code base, but no additional features.
* Mon Sep 06 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.2.0 Add checks to verify files in /opt/monitor/var/rw.
* Tue Jun 22 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.8 Update dependencies.
* Thu May 06 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.7 Refer to 'ist diagnose' instead of 'ist-diagnose' for cmds.
* Fri Apr 23 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.6 Fix a bug where ist diagnose would not exit if there were no problems.
* Fri Apr 23 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.5 Compare micro versions of OP5 Monitor between nodes.
* Fri Apr 23 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.4 Print version number of OP5 Monitor in verbose output.
* Tue Apr 20 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.3 Add SSH hints when it is likely the cause of an issue.
* Mon Apr 19 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.2 Lower the SWAP limit to 10 instead of 90 percent.
* Mon Apr 19 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.1 Be explicit if op5-monitor-release file is not found.
* Fri Mar 26 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.1.0 Add option -b
* Thu Mar 18 2021 Johan Thorén <jthoren@itrsgroup.com>
- 1.0.0 Mark release as stable.
* Wed Mar 17 2021 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.3 Add missing sshpass to ci_config.
- 0.5.2 Stop building statically linked binary with docker.
- 0.5.1 Update version of clojure/tools.cli.
* Tue Jan 19 2021 Johan Thorén <jthoren@itrsgroup.com>
- 0.5.0 Statically linked native-image built with docker
* Wed Jan 13 2021 Johan Thorén <jthoren@itrsgroup.com>
- 0.4.1 Add hardware check to see if the server has enough RAM and cores.
* Fri Jan 8 2021 Johan Thorén <jthoren@itrsgroup.com>
- 0.4.0 Add naemon output through option -n.
* Tue Jan 5 2021 Johan Thorén <jthoren@itrsgroup.com>
- 0.3.6 Minor improvements to tests.
* Mon Jan 4 2021 Johan Thorén <jthoren@itrsgroup.com>
- 0.3.5 Minor improvements to tests.
- 0.3.4 Minor bug fixes and improvements.
* Wed Dec 30 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.3.3 Change arch to x86_64 since we are shipping binaries.
- 0.3.2 Fixed problem with options.
- 0.3.1 Refactoring and bug fixes.
* Tue Dec 29 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.3.0 Complete rewrite in Clojure
* Thu Dec 10 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.2.4 Integration with build system
* Wed Nov 25 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.2.3 Add more output as commencts on OK checks
- 0.2.2 Linting and refactoring
- 0.2.0 Add 3 checks for PHP values
- 0.2.1 Add 3 checks for MariaDB values
- 0.2.0 Add 3 checks for PHP values
* Tue Nov 24 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.1.3 Force running as 'monitor'
- 0.1.2 Recommend using 'asmonitor'
- 0.1.1 Run only as user 'monitor'
* Wed Nov 18 2020 Johan Thorén <jthoren@itrsgroup.com>
- 0.1.0 Initial rpm release
